# DAGetInterpolation

Gets an interpolation matrix that maps between grids associated with two DAs.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetInterpolation(DA dac,DA daf,Mat *A,Vec *scale)

Collective on DA

### Input Parameters

| dac | - the coarse grid DA
| daf | - the fine grid DA

### Output Parameters

| A | - the interpolation matrix
| scale | - a scaling vector used to scale the coarse grid restricted vector before applying the grid function or grid Jacobian to it.

### Keywords

interpolation, restriction, multigrid

### See Also

DARefine(), DAGetInjection()

Level:intermediate
Location: src/dm/da/src/dainterp.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex3.c.html